<?php

namespace FiloBlu\CheckoutExtend\Setup;

use Magento\Cms\Model\BlockFactory;
use Magento\Framework\Setup\UpgradeDataInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;

class UpgradeData implements UpgradeDataInterface {

    /**
     * @var BlockFactory
     */
    protected $blockFactory;

    public function __construct(BlockFactory $blockFactory,\Magento\Framework\App\State $state) {
        try {
           $state->getAreaCode();
        } catch (\Exception $ex) {
            $state->setAreaCode('adminhtml');
        }
        
        $this->blockFactory = $blockFactory;
    }

    public function upgrade(ModuleDataSetupInterface $setup, ModuleContextInterface $context) {

        $setup->startSetup();

        if (version_compare($context->getVersion(), '1.0.1') < 0) {

            $cmsBlockData = [
                'title' => 'Custom Duties Disclaimer',
                'identifier' => 'custom_duties_disclaimer',
                'content' => "<p>SHIPPING OUTSIDE OF THE EU?</p><p>PLEASE NOTE THAT YOU MAY BE CHARGED A TAX AND DUTIES FEE! AS THE RECIPIENT, YOU ARE LIABLE FOR ALL IMPORT DUTIES/EXPENSES LEVIED BY THE COUNTRY YOU ARE SHIPPING TO. UNFORTUNATELY, WE ARE UNABLE TO ADVISE OR PREDICT THE AMOUNT AND HAVE NO CONTROL OR INFLUENCE OVER THIS.</p>",
                'is_active' => 1,
                'stores' => 0,
                'sort_order' => 0
            ];

            $block = $this->blockFactory->create();
            $block->setData($cmsBlockData)->save();
        }

        $setup->endSetup();
    }

}
